Bug 455886 - Xsane crashes when trying to scan
Xsane crashes when trying to scan
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 479258
  Show dependency treegraph
 
Reported: 2008-07-18 12:47 EDT by Christian Bjelle
Modified: 2009-07-22 17:42 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.0.20-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 17:42:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Bjelle 2008-07-18 12:47:46 EDT
Description of problem:
Scanning doesn't work on F9. The same scanner worked flawlessly on my old P4
running F8, but now I've another computer (x86_64) and F9.

Version-Release number of selected component (if applicable):
xsane-0.995-3.fc9
sane-backends-1.0.19-10.fc9

How reproducible:
Always

Steps to Reproduce:
1. scanimage
2. wait while scanner wakes up
3. *bam*

Actual results:
[root ~]# scanimage 
*** glibc detected *** scanimage: free(): invalid next size (normal):
0x0000000000c1cf30 ***
======= Backtrace: =========
/lib64/libc.so.6[0x327ea78158]
/lib64/libc.so.6(cfree+0x76)[0x327ea7a796]
/usr/lib64/sane/libsane-avision.so.1[0x7f3a45f20e91]
/usr/lib64/sane/libsane-avision.so.1(sane_avision_start+0x592)[0x7f3a45f21bd2]
scanimage[0x403f21]
/lib64/libc.so.6(__libc_start_main+0xfa)[0x327ea1e32a]
scanimage[0x4017a9]
======= Memory map: ========
00110000-00117000 r-xp 00000000 08:03 3998845                           
/usr/lib64/sane/libsane-v4l.so.1.0.19
00117000-00316000 ---p 00007000 08:03 3998845                           
/usr/lib64/sane/libsane-v4l.so.1.0.19
00316000-00317000 rw-p 00006000 08:03 3998845                           
/usr/lib64/sane/libsane-v4l.so.1.0.19
00400000-0040a000 r-xp 00000000 08:03 3502684                           
/usr/bin/scanimage
0060a000-0060b000 rw-p 0000a000 08:03 3502684                           
/usr/bin/scanimage
0060b000-0061e000 r-xp 00000000 08:03 3998839                           
/usr/lib64/sane/libsane-umax1220u.so.1.0.19
0061e000-0081e000 ---p 00013000 08:03 3998839                           
/usr/lib64/sane/libsane-umax1220u.so.1.0.19
0081e000-0081f000 rw-p 00013000 08:03 3998839                           
/usr/lib64/sane/libsane-umax1220u.so.1.0.19
0081f000-00821000 rw-p 0081f000 00:00 0 
00821000-00847000 r-xp 00000000 08:03 3998836                           
/usr/lib64/sane/libsane-umax.so.1.0.19
00847000-00a46000 ---p 00026000 08:03 3998836                           
/usr/lib64/sane/libsane-umax.so.1.0.19
00a46000-00a48000 rw-p 00025000 08:03 3998836                           
/usr/lib64/sane/libsane-umax.so.1.0.19
00a48000-00a4a000 rw-p 00a48000 00:00 0 
00bb6000-00c3d000 rw-p 00bb6000 00:00 0                                  [heap]
327d800000-327d81d000 r-xp 00000000 08:03 6037824                       
/lib64/ld-2.8.so
327da1c000-327da1d000 r--p 0001c000 08:03 6037824                       
/lib64/ld-2.8.so
327da1d000-327da1e000 rw-p 0001d000 08:03 6037824                       
/lib64/ld-2.8.so
327e400000-327e40a000 r-xp 00000000 08:03 3498820                       
/usr/lib64/libieee1284.so.3.2.2
327e40a000-327e60a000 ---p 0000a000 08:03 3498820                       
/usr/lib64/libieee1284.so.3.2.2
327e60a000-327e60b000 rw-p 0000a000 08:03 3498820                       
/usr/lib64/libieee1284.so.3.2.2
327ea00000-327eb62000 r-xp 00000000 08:03 6037859                       
/lib64/libc-2.8.so
327eb62000-327ed62000 ---p 00162000 08:03 6037859                       
/lib64/libc-2.8.so
327ed62000-327ed66000 r--p 00162000 08:03 6037859                       
/lib64/libc-2.8.so
327ed66000-327ed67000 rw-p 00166000 08:03 6037859                       
/lib64/libc-2.8.so
327ed67000-327ed6c000 rw-p 327ed67000 00:00 0 
327ee00000-327ee84000 r-xp 00000000 08:03 6037873                       
/lib64/libm-2.8.so
327ee84000-327f083000 ---p 00084000 08:03 6037873                       
/lib64/libm-2.8.so
327f083000-327f084000 r--p 00083000 08:03 6037873                       
/lib64/libm-2.8.so
327f084000-327f085000 rw-p 00084000 08:03 6037873                       
/lib64/libm-2.8.so
327f200000-327f202000 r-xp 00000000 08:03 6037862                       
/lib64/libdl-2.8.so
327f202000-327f402000 ---p 00002000 08:03 6037862                       
/lib64/libdl-2.8.so
327f402000-327f403000 r--p 00002000 08:03 6037862                       
/lib64/libdl-2.8.so
327f403000-327f404000 rw-p 00003000 08:03 6037862                       
/lib64/libdl-2.8.so
327f600000-327f616000 r-xp 00000000 08:03 6037860                       
/lib64/libpthread-2.8.so
327f616000-327f815000 ---p 00016000 08:03 6037860                       
/lib64/libpthread-2.8.so
327f815000-327f816000 r--p 00015000 08:03 6037860                       
/lib64/libpthread-2.8.so
327f816000-327f817000 rw-p 00016000 08:03 6037860                       
/lib64/libpthread-2.8.so
327f817000-327f81b000 rw-p 327f817000 00:00 0 
327fe00000-327fe15000 r-xp 00000000 08:03 6037870                       
/lib64/libz.so.1.2.3
327fe15000-3280014000 ---p 00015000 08:03 6037870                       
/lib64/libz.so.1.2.3
3280014000-3280015000 rw-p 00014000 08:03 6037870                       
/lib64/libz.so.1.2.3
3287a00000-3287a05000 r-xp 00000000 08:03 3502683                       
/usr/lib64/libsane.so.1.0.19
3287a05000-3287c05000 ---p 00005000 08:03 3502683                       
/usr/lib64/libsane.so.1.0.19
3287c05000-3287c06000 rw-p 00005000 08:03 3502683                       
/usr/lib64/libsane.so.1.0.19
3288a00000-3288a16000 r-xp 00000000 08:03 6037569                       
/lib64/libgcc_s-4.3.0-20080428.so.1
3288a16000-3288c15000 ---p 00016000 08:03 6037569                       
/lib64/libgcc_s-4.3.0-20080428.so.1
3288c15000-3288c16000 rw-p 00015000 08:03 6037569                       
/lib64/libgcc_s-4.3.0-20080428.so.1
3288e00000-3288e22000 r-xp 00000000 08:03 3502662                       
/usr/lib64/libjpeg.so.62.0.0
3288e22000-3289022000 ---p 00022000 08:03 3502662                       
/usr/lib64/libjpeg.so.62.0.0
3289022000-3289023000 rw-p 00022000 08:03 3502662                       
/usr/lib64/libjpeg.so.62.0.0
3293a00000-3293a59000 r-xp 00000000 08:03 3502680                       
/usr/lib64/libtiff.so.3.8.2
3293a59000-3293c58000 ---p 00059000 08:03 3502680                       
/usr/lib64/libtiff.so.3.8.2
3293c58000-3293c5b000 rw-p 00058000 08:03 3502680                       
/usr/lib64/libtiff.so.3.8.2
3293e00000-3293e26000 r-xp 00000000 08:03 3499688                       
/usr/lib64/libexif.so.12.2.0
3293e26000-3294026000 ---p 00026000 08:03 3499688                       
/usr/lib64/libexif.so.12.2.0
3294026000-3294033000 rw-p 00026000 08:03 3499688                       
/usr/lib64/libexif.so.12.2.0
3294a00000-3294a07000 r-xp 00000000 08:03 3499686                       
/usr/lib64/libusb-0.1.so.4.4.4
3294a07000-3294c06000 ---p 00007000 08:03 3499686                       
/usr/lib64/libusb-0.1.so.4.4.4
3294c06000-3294c08000 rw-p 00006000 08:03 3499686                       
/usr/lib64/libusb-0.1.so.4.4.4
3294e00000-3294e07000 r-xp 00000000 08:03 3498939                       
/usr/lib64/libltdl.so.3.1.5
3294e07000-3295006000 ---p 00007000 08:03 3498939                       
/usr/lib64/libltdl.so.3.1.5
3295006000-3295007000 rw-p 00006000 08:03 3498939                       
/usr/lib64/libltdl.so.3.1.5
3295a00000-3295a1c000 r-xp 00000000 08:03 3502682                       
/usr/lib64/libgphoto2.so.2.3.0
3295a1c000-3295c1b000 ---p 0001c000 08:03 3502682                       
/usr/lib64/libgphoto2.so.2.3.0
3295c1b000-3295c1c000 rw-p 0001b000 08:03 3502682                       
/usr/lib64/libgphoto2.so.2.3.0
3295c1c000-3295c7c000 rw-p 3295c1c000 00:00 0 
3295e00000-3295e07000 r-xp 00000000 08:03 3502681                       
/usr/lib64/libgphoto2_port.so.0.8.0
3295e07000-3296007000 ---p 00007000 08:03 3502681                       
/usr/lib64/libgphoto2_port.so.0.8.0
3296007000-3296008000 rw-p 00007000 08:03 3502681                       
/usr/lib64/libgphoto2_port.so.0.8.0
7f3a40000000-7f3a40021000 rw-p 7f3a40000000 00:00 0 
7f3a40021000-7f3a44000000 ---p 7f3a40021000 00:00 0 
7f3a456e2000-7f3a456ee000 r-xp 00000000 08:03 3998767                   
/usr/lib64/sane/libsane-net.so.1.0.19
7f3a456ee000-7f3a458ed000 ---p 0000c000 08:03 3998767                   
/usr/lib64/sane/libsane-net.so.1.0.19
7f3a458ed000-7f3a458ee000 rw-p 0000b000 08:03 3998767                   
/usr/lib64/sane/libsane-net.so.1.0.19
7f3a458ee000-7f3a458f9000 r-xp 00000000 08:03 3998626                   
/usr/lib64/sane/libsane-abaton.so.1.0.19
7f3a458f9000-7f3a45af9000 ---p 0000b000 08:03 3998626                   
/usr/lib64/sane/libsane-abaton.so.1.0.19
7f3a45af9000-7f3a45afa000 rw-p 0000b000 08:03 3998626                   
/usr/lib64/sane/libsane-abaton.so.1.0.19
7f3a45afa000-7f3a45b07000 r-xp 00000000 08:03 3998629                   
/usr/lib64/sane/libsane-agfafocus.so.1.0.19
7f3a45b07000-7f3a45d07000 ---p 0000d000 08:03 3998629                   
/usr/lib64/sane/libsane-agfafocus.so.1.0.19
7f3a45d07000-7f3a45d08000 rw-p 0000d000 08:03 3998629                   
/usr/lib64/sane/libsane-agfafocus.so.1.0.19
7f3a45d08000-7f3a45d16000 r-xp 00000000 08:03 3998632                   
/usr/lib64/sane/libsane-apple.so.1.0.19
7f3a45d16000-7f3a45f15000 ---p 0000e000 08:03 3998632                   
/usr/lib64/sane/libsane-apple.so.1.0.19
7f3a45f15000-7f3a45f16000 rw-p 0000d000 08:03 3998632                   
/usr/lib64/sane/libsane-apple.so.1.0.19
7f3aAborted


Expected results:
An image

Additional info:
[root ~]# lsusb 
Bus 001 Device 006: ID 0424:223a Standard Microsystems Corp. 8-in-1 Card Reader
Bus 001 Device 009: ID 05ac:0304 Apple, Inc. Optical USB Mouse [Mitsumi]
Bus 001 Device 008: ID 05ac:0221 Apple, Inc. Keyboard (Aluminium) (ISO)
Bus 001 Device 007: ID 05ac:1006 Apple, Inc. Hub in Aluminum Keyboard
Bus 001 Device 005: ID 0424:2504 Standard Microsystems Corp. USB 2.0 Hub
Bus 001 Device 003: ID 0424:2502 Standard Microsystems Corp. 
Bus 001 Device 002: ID 03f0:0b01 Hewlett-Packard Scanjet 82x0C
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 002: ID 05ac:1000 Apple, Inc. Bluetooth HCI MacBookPro (HID mode)
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

[root ~]# scanimage -L
device `avision:libusb:001:002' is a Hewlett-Packard ScanJet 8200 flatbed scanner
Comment 1 Christian Bjelle 2008-07-18 12:57:38 EDT
Running with gdb:


[root ~]# gdb scanimage
GNU gdb Fedora (6.8-11.fc9)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
(gdb) r
Starting program: /usr/bin/scanimage 
[Thread debugging using libthread_db enabled]
[New Thread 0x7f117d4d06f0 (LWP 15095)]
*** glibc detected *** /usr/bin/scanimage: free(): invalid next size (normal):
0x00000000014ecf30 ***
======= Backtrace: =========
/lib64/libc.so.6[0x327ea78158]
/lib64/libc.so.6(cfree+0x76)[0x327ea7a796]
/usr/lib64/sane/libsane-avision.so.1[0x7f1177910e91]
/usr/lib64/sane/libsane-avision.so.1(sane_avision_start+0x592)[0x7f1177911bd2]
/usr/bin/scanimage[0x403f21]
/lib64/libc.so.6(__libc_start_main+0xfa)[0x327ea1e32a]
/usr/bin/scanimage[0x4017a9]
======= Memory map: ========
00110000-00117000 r-xp 00000000 08:03 3998845                           
/usr/lib64/sane/libsane-v4l.so.1.0.19
00117000-00316000 ---p 00007000 08:03 3998845                           
/usr/lib64/sane/libsane-v4l.so.1.0.19
00316000-00317000 rw-p 00006000 08:03 3998845                           
/usr/lib64/sane/libsane-v4l.so.1.0.19
00400000-0040a000 r-xp 00000000 08:03 3502684                           
/usr/bin/scanimage
0060a000-0060b000 rw-p 0000a000 08:03 3502684                           
/usr/bin/scanimage
0060b000-0061e000 r-xp 00000000 08:03 3998839                           
/usr/lib64/sane/libsane-umax1220u.so.1.0.19
0061e000-0081e000 ---p 00013000 08:03 3998839                           
/usr/lib64/sane/libsane-umax1220u.so.1.0.19
0081e000-0081f000 rw-p 00013000 08:03 3998839                           
/usr/lib64/sane/libsane-umax1220u.so.1.0.19
0081f000-00821000 rw-p 0081f000 00:00 0 
00821000-00847000 r-xp 00000000 08:03 3998836                           
/usr/lib64/sane/libsane-umax.so.1.0.19
00847000-00a46000 ---p 00026000 08:03 3998836                           
/usr/lib64/sane/libsane-umax.so.1.0.19
00a46000-00a48000 rw-p 00025000 08:03 3998836                           
/usr/lib64/sane/libsane-umax.so.1.0.19
00a48000-00a4a000 rw-p 00a48000 00:00 0 
00a4a000-00a64000 r-xp 00000000 08:03 3998833                           
/usr/lib64/sane/libsane-u12.so.1.0.19
00a64000-00c63000 ---p 0001a000 08:03 3998833                           
/usr/lib64/sane/libsane-u12.so.1.0.19
00c63000-00c64000 rw-p 00019000 08:03 3998833                           
/usr/lib64/sane/libsane-u12.so.1.0.19
00c64000-00c67000 rw-p 00c64000 00:00 0 
00c67000-00c74000 r-xp 00000000 08:03 3998827                           
/usr/lib64/sane/libsane-teco3.so.1.0.19
00c74000-00e73000 ---p 0000d000 08:03 3998827                           
/usr/lib64/sane/libsane-teco3.so.1.0.19
00e73000-00e74000 rw-p 0000c000 08:03 3998827                           
/usr/lib64/sane/libsane-teco3.so.1.0.19
00e74000-00e82000 r-xp 00000000 08:03 3998824                           
/usr/lib64/sane/libsane-teco2.so.1.0.19
00e82000-01082000 ---p 0000e000 08:03 3998824                           
/usr/lib64/sane/libsane-teco2.so.1.0.19
01082000-01083000 rw-p 0000e000 08:03 3998824                           
/usr/lib64/sane/libsane-teco2.so.1.0.19
01083000-0108e000 r-xp 00000000 08:03 3998788                           
/usr/lib64/sane/libsane-ricoh.so.1.0.19
0108e000-0128e000 ---p 0000b000 08:03 3998788                           
/usr/lib64/sane/libsane-ricoh.so.1.0.19
0128e000-0128f000 rw-p 0000b000 08:03 3998788                           
/usr/lib64/sane/libsane-ricoh.so.1.0.19
01486000-0150d000 rw-p 01486000 00:00 0                                  [heap]
01c2a000-01c3b000 r-xp 00000000 08:03 3998797                           
/usr/lib64/sane/libsane-sharp.so.1.0.19
01c3b000-01e3b000 ---p 00011000 08:03 3998797                           
/usr/lib64/sane/libsane-sharp.so.1.0.19
01e3b000-01e3c000 rw-p 00011000 08:03 3998797                           
/usr/lib64/sane/libsane-sharp.so.1.0.19
01eb2000-01ebf000 r-xp 00000000 08:03 3998809                           
/usr/lib64/sane/libsane-sp15c.so.1.0.19
01ebf000-020bf000 ---p 0000d000 08:03 3998809                           
/usr/lib64/sane/libsane-sp15c.so.1.0.19
020bf000-020c0000 rw-p 0000d000 08:03 3998809                           
/usr/lib64/sane/libsane-sp15c.so.1.0.19
024ca000-024d4000 r-xp 00000000 08:03 3998791                           
/usr/lib64/sane/libsane-s9036.so.1.0.19
024d4000-026d4000 ---p 0000a000 08:03 3998791                           
/usr/lib64/sane/libsane-s9036.so.1.0.19
026d4000-026d5000 rw-p 0000a000 08:03 3998791                           
/usr/lib64/sane/libsane-s9036.so.1.0.19
03eb5000-03ee2000 r-xp 00000000 08:03 3998806                           
/usr/lib64/sane/libsane-snapscan.so.1.0.19
03ee2000-040e2000 ---p 0002d000 08:03 3998806                           
/usr/lib64/sane/libsane-snapscan.so.1.0.19
040e2000-040e4000 rw-p 0002d000 08:03 3998806                           
/usr/lib64/sane/libsane-snapscan.so.1.0.19
040e4000-040e6000 rw-p 040e4000 00:00 0 
04c97000-04ca5000 r-xp 00000000 08:03 3998800                           
/usr/lib64/sane/libsane-sm3600.so.1.0.19
04ca5000-04ea5000 ---p 0000e000 08:03 3998800                           
/usr/lib64/sane/libsane-sm3600.so.1.0.19
04ea5000-04ea6000 rw-p 0000e000 08:03 3998800                           
/usr/lib64/sane/libsane-sm3600.so.1.0.19
04ea6000-04ea8000 rw-p 04ea6000 00:00 0 
04fa2000-04fad000 r-xp 00000000 08:03 3998818                           
/usr/lib64/sane/libsane-tamarack.so.1.0.19
04fad000-051ad000 ---p 0000b000 08:03 3998818                           
/usr/lib64/sane/libsane-tamarack.so.1.0.19
051ad000-051ae000 rw-p 0000b000 08:03 3998818                           
/usr/lib64/sane/libsane-tamarack.so.1.0.19
0611d000-06135000 r-xp 00000000 08:03 3998803                           
/usr/lib64/sane/libsane-sm3840.so.1.0.19
06135000-06335000 ---p 00018000 08:03 3998803                           
/usr/lib64/sane/libsane-sm3840.so.1.0.19
06335000-06336000 rw-p 00018000 08:03 3998803                           
/usr/lib64/sane/libsane-sm3840.so.1.0.19
06336000-06338000 rw-p 06336000 00:00 0 
06856000-06862000 r-xp 00000000 08:03 3998821                           
/usr/lib64/sane/libsane-teco1.so.1.0.19
06862000-06a62000 ---p 0000c000 08:03 3998821                           
/usr/lib64/sane/libsane-teco1.so.1.0.19
06a62000-06a63000 rw-p 0000c000 08:03 3998821                           
/usr/lib64/sane/libsane-teco1.so.1.0.19
07681000-0768d000 r-xp 00000000 08:03 3998794                           
/usr/lib64/sane/libsane-sceptre.so.1.0.19
0768d000-0788d000 ---p 0000c000 08:03 3998794                           
/usr/lib64/sane/libsane-sceptre.so.1.0.19
0788d000-0788e000 rw-p 0000c000 08:03 3998794                           
/usr/lib64/sane/libsane-sceptre.so.1.0.19
327d800000-327d81d000 r-xp 00000000 08:03 6037824                       
/lib64/ld-2.8.so
327da1c000-327da1d000 r--p 0001c000 08:03 6037824                       
/lib64/ld-2.8.so
327da1d000-327da1e000 rw-p 0001d000 08:03 6037824                       
/lib64/ld-2.8.so
327e400000-327e40a000 r-xp 00000000 08:03 3498820                       
/usr/lib64/libieee1284.so.3.2.2
327e40a000-327e60a000 ---p 0000a000 08:03 3498820                       
/usr/lib64/libieee1284.so.3.2.2
327e60a000-327e60b000 rw-p 0000a000 08:03 3498820                       
/usr/lib64/libieee1284.so.3.2.2
327ea00000-327eb62000 r-xp 00000000 08:03 6037859                       
/lib64/libc-2.8.so
327eb62000-327ed62000 ---p 00162000 08:03 6037859                       
/lib64/libc-2.8.so
327ed62000-327ed66000 r--p 00162000 08:03 6037859                       
/lib64/libc-2.8.so
327ed66000-327ed67000 rw-p 00166000 08:03 6037859                       
/lib64/libc-2.8.so
327ed67000-327ed6c000 rw-p 327ed67000 00:00 0 
327ee00000-327ee84000 r-xp 00000000 08:03 6037873                       
/lib64/libm-2.8.so
327ee84000-327f083000 ---p 00084000 08:03 6037873                       
/lib64/libm-2.8.so
327f083000-327f084000 r--p 00083000 08:03 6037873                       
/lib64/libm-2.8.so
327f084000-327f085000 rw-p 00084000 08:03 6037873                       
/lib64/libm-2.8.so
327f200000-327f202000 r-xp 00000000 08:03 6037862                       
/lib64/libdl-2.8.so
327f202000-327f402000 ---p 00002000 08:03 6037862                       
/lib64/libdl-2.8.so
327f402000-327f403000 r--p 00002000 08:03 6037862                       
/lib64/libdl-2.8.so
327f403000-327f404000 rw-p 00003000 08:03 6037862                       
/lib64/libdl-2.8.so
327f600000-327f616000 r-xp 00000000 08:03 6037860                       
/lib64/libpthread-2.8.so
327f616000-327f815000 ---p 00016000 08:03 6037860                       
/lib64/libpthread-2.8.so
327f815000-327f816000 r--p 00015000 08:03 6037860                       
/lib64/libpthread-2.8.so
327f816000-327f817000 rw-p 00016000 08:03 6037860                       
/lib64/libpthread-2.8.so
327f817000-327f81b000 rw-p 327f817000 00:00 0 
327fe000
Program received signal SIGABRT, Aborted.
0x000000327ea32215 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) bt
#0  0x000000327ea32215 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x000000327ea33d83 in abort () at abort.c:88
#2  0x000000327ea72858 in __libc_message (do_abort=<value optimized out>, 
    fmt=<value optimized out>) at ../sysdeps/unix/sysv/linux/libc_fatal.c:170
#3  0x000000327ea78158 in malloc_printerr (action=<value optimized out>, 
    str=<value optimized out>, ptr=<value optimized out>) at malloc.c:5949
#4  0x000000327ea7a796 in __libc_free (mem=<value optimized out>)
    at malloc.c:3625
#5  0x00007f1177910e91 in normal_calibration (s=<value optimized out>)
    at avision.c:4358
#6  0x00007f1177911bd2 in sane_avision_start (handle=0x14cf6d0)
    at avision.c:7828
#7  0x0000000000403f21 in main (argc=-2058417684, argv=0x0) at scanimage.c:2162
(gdb) 


Comment 2 Dirk Provoost 2009-01-08 06:24:14 EST
Description of problem:
Scanning doesn't work on F10. 
The same scanner worked flawlessly on UBUNTU (all versions)

System: Linux 2.6.27.9-159.fc10.i686 #1 SMP Tue Dec 16 15:12:04 EST 2008 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10503000
Selinux: Enforcing
Accessibility: Disabled
GTK+ Theme: Nodoka
Icon Theme: Fedora

Memory status: size: 0 vsize: 0 resident: 0 share: 0 rss: 0 rss_rlim: 0
CPU usage: start_time: 0 rtime: 0 utime: 0 stime: 0 cutime:0 cstime: 0 timeout: 0 it_real_value: 0 frequency: 0



----------- .xsession-errors ---------------------
(xsane:3388): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(xsane:3388): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(xsane:3388): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(xsane:3388): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(xsane:3388): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(xsane:3388): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(xsane:3388): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
Multiple segmentation faults occurred; can't display error dialog
--------------------------------------------------
Comment 3 Nils Philippsen 2009-01-08 08:29:03 EST
Seems like a backend/driver problem to me at first glance on the backtrace. I'll also clone this bug for F10, as per Dirk's comment #2.
Comment 4 Nils Philippsen 2009-01-08 10:13:22 EST
I have a hunch that the two of you are talking about different scanners/backends. Would both of you you please post the scanner models you use and their USB ids (or if you don't know that, the output of the "lsusb" command)? Thanks.
Comment 5 Dirk Provoost 2009-01-08 10:30:01 EST
Used scanner = HP PSC 1417

[ammans@TravelPC ~]$ lsusb
Bus 001 Device 007: ID 099a:5321 Zippy Technology Corp. 
Bus 001 Device 006: ID 05e3:1205 Genesys Logic, Inc. Afilias Optical Mouse H3003
Bus 001 Device 005: ID 152d:2336 JMicron Technology Corp. / JMicron USA Technology Corp. 
Bus 001 Device 004: ID 0409:0059 NEC Corp. HighSpeed Hub
Bus 001 Device 002: ID 13fe:1a00 Kingston Technology Company Inc. 512MB/1GB Flash Drive
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 002: ID 0d8c:000e C-Media Electronics, Inc. Audio Adapter (Planet UP-100, Genius G-Talk)
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
[ammans@TravelPC ~]$
Comment 6 Christian Bjelle 2009-01-08 14:48:09 EST
I've moved on to F10, but the problem persists, so I agree about cloning to F10.


[root ~]# lsusb 
Bus 001 Device 003: ID 03f0:0b01 Hewlett-Packard Scanjet 82x0C
Bus 001 Device 006: ID 0424:223a Standard Microsystems Corp. 8-in-1 Card Reader
Bus 001 Device 009: ID 05ac:0304 Apple, Inc. Optical USB Mouse [Mitsumi]
Bus 001 Device 008: ID 05ac:0221 Apple, Inc. Keyboard (Aluminium) (ISO)
Bus 001 Device 007: ID 05ac:1006 Apple, Inc. Hub in Aluminum Keyboard
Bus 001 Device 005: ID 0424:2504 Standard Microsystems Corp. USB 2.0 Hub
Bus 001 Device 002: ID 0424:2502 Standard Microsystems Corp. 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 002: ID 05ac:1000 Apple, Inc. Bluetooth HCI MacBookPro (HID mode)
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

[root ~]# scanimage -L
device `avision:libusb:001:003' is a Hewlett-Packard ScanJet 8200 flatbed scanner

Actual model is HP ScanJet 8290 (with a sheet-feeder).
Comment 7 Dirk Provoost 2009-01-23 15:58:41 EST
System: Linux 2.6.27.9-159.fc10.i686 #1 SMP Tue Dec 16 15:12:04 EST 2008 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10503000
Selinux: Enforcing
Accessibility: Disabled
GTK+ Theme: Nodoka
Icon Theme: Fedora

Memory status: size: 0 vsize: 0 resident: 0 share: 0 rss: 0 rss_rlim: 0
CPU usage: start_time: 0 rtime: 0 utime: 0 stime: 0 cutime:0 cstime: 0 timeout: 0 it_real_value: 0 frequency: 0



----------- .xsession-errors ---------------------
(xsane:4268): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(xsane:4268): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(xsane:4268): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(xsane:4268): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(xsane:4268): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(xsane:4268): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(xsane:4268): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
Multiple segmentation faults occurred; can't display error dialog
--------------------------------------------------
Comment 8 Bug Zapper 2009-06-09 22:07:51 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Nils Philippsen 2009-06-17 06:04:17 EDT
I've packaged the new upstream version sane-backends-1.0.20 and submitted it for updates-testing. Please test and report back whether this improves your issue, thanks.
Comment 10 Christian Bjelle 2009-06-22 07:06:26 EDT
1.0.20 indeed fixed the problem, at least for me. Thanks to everyone involved.

//Christian
Comment 11 Nils Philippsen 2009-06-23 08:03:31 EDT
Changing product version to 10.
Comment 12 Fedora Update System 2009-06-26 22:51:29 EDT
sane-backends-1.0.20-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sane-backends'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6741
Comment 13 Fedora Update System 2009-07-02 01:55:24 EDT
sane-backends-1.0.20-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sane-backends'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6741
Comment 14 Dirk Provoost 2009-07-09 04:56:05 EDT
Just installed F11
Printer works fine, but the problem with XSANE persists (see below).

System: Linux 2.6.29.5-191.fc11.i586 #1 SMP Tue Jun 16 23:11:39 EDT 2009 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10601901
Selinux: Enforcing
Accessibility: Disabled
GTK+ Theme: Nodoka
Icon Theme: Fedora
GTK+ Modules: canberra-gtk-module, pk-gtk-module, gnomebreakpad

Memory status: size: 0 vsize: 0 resident: 0 share: 0 rss: 0 rss_rlim: 0
CPU usage: start_time: 0 rtime: 0 utime: 0 stime: 0 cutime:0 cstime: 0 timeout: 0 it_real_value: 0 frequency: 0



----------- .xsession-errors ---------------------
(xsane:17506): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(xsane:17506): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(xsane:17506): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(xsane:17506): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(xsane:17506): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(xsane:17506): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(xsane:17506): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
Multiple segmentation faults occurred; can't display error dialog
--------------------------------------------------
Comment 15 Fedora Update System 2009-07-22 17:42:25 EDT
sane-backends-1.0.20-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.